Retrieve a charge filter
curl --request GET \
--url https://api.getlago.com/api/v1/subscriptions/{external_id}/charges/{charge_code}/filters/{filter_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlago.com/api/v1/subscriptions/{external_id}/charges/{charge_code}/filters/{filter_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlago.com/api/v1/subscriptions/{external_id}/charges/{charge_code}/filters/{filter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filter": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"charge_code": "api_requests_charge",
"invoice_display_name": "AWS",
"properties": {
"grouped_by": [
"agent_name"
],
"pricing_group_keys": [
"agent_name"
],
"graduated_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
],
"graduated_percentage_ranges": [
{
"from_value": 0,
"to_value": 10,
"rate": "1",
"flat_amount": "10"
}
],
"amount": "30",
"free_units": 100,
"package_size": 1000,
"rate": "1",
"fixed_amount": "0.5",
"free_units_per_events": 5,
"free_units_per_total_aggregation": "500",
"per_transaction_max_amount": "3.75",
"per_transaction_min_amount": "1.75",
"volume_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
]
},
"values": {
"region": [
"us-east-1"
]
}
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}Filters
Retrieve a charge filter
This endpoint retrieves a specific filter for a charge on a subscription.
GET
/
subscriptions
/
{external_id}
/
charges
/
{charge_code}
/
filters
/
{filter_id}
Retrieve a charge filter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
External ID of the existing subscription.
Example:
"sub_1234567890"
Code of the existing charge.
Example:
"api_requests_charge"
Unique identifier of the charge filter.
Example:
"1a901a90-1a90-1a90-1a90-1a901a901a90"
Query Parameters
Filter by subscription status. When provided, the subscription is looked up with this status instead of the default active status. Possible values are pending, active, terminated, or canceled.
Available options:
pending, active, terminated, canceled Example:
"active"
Response
Charge filter
Charge filter values used to apply differentiated pricing based on additional event properties.
Show child attributes
Show child attributes
⌘I